/* 7166.h : Header file for 7166 encoder project
 * Thomas Peterson, 4/20/10 */
 
 
/* Output pin defines */
//note: Data bus is on port B
#define NWR LATDbits.LATD4			//Write (active low)
#define NCS LATDbits.LATD3			//Chip select (active low)
//#define NLCTR_NLLTC LATDbits.LATD2	//External load command (active low)
//#define NABGT_NRCTR LATDbits.LATD1	//External cntr reset or a/b enable gate (active low)
//#define NCY	LATCbits.LATC1			//input
//#define NBW LATCbits.LATC2			//input
#define C_ND LATCbits.LATC3			//control or data register
#define NRD LATCbits.LATC4			//Read (active low)


#define OUT 0
#define IN 1

//Fcn definitions
void comm_dir(int dir);
void bus_out(unsigned char byte);
unsigned char bus_in();
void write_ctrl(unsigned char reg, unsigned char byte);
void write_PR(unsigned int value);
unsigned int read_reg(unsigned char reg);
void delay();
void latchWR();
unsigned char latchRD();

//Control registers
#define MCR 0
#define ICR 1
#define OCCR 2
#define QR 3
//Readable registers
#define OL 0
#define OSR 1
